Getting Started
This section will guide you through setting up your environment, generating credentials, and making your first API call to the xRocket Exchange.
The objective is to get you comfortable creating accounts and using our authentication mechanism based on a simple Bearer Token.
No Authorization Needed for Public Methods
Our public methods need no authorization. You can try sending a request to receive example response in API reference section. For example, try GET /api/v1/symbols method to get a response listing available trading pairs.
📄️ Account Creation and Authorization
Learn how to create an xRocket account and manage your API tokens.
📄️ Entities Explained
Key xRocket Exchange API entities explained.
📄️ Testing Your Integration
How to test your API integration in the Testnet environment.